System.ComponentModel.DataAnnotations 4.0.0.0 System.Object To be added.

Represents a container for the results of a validation request.

- Constructor
  4.0.0.0

  The method creates a copy of an exiting object.

  Initializes a new instance of the class by using a object.

  The validation result object.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class by using an error message.

  The error message.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class by using an error message and a list of members that have validation errors.

  The error message.
  The list of member names that have validation errors.
- Property
  4.0.0.0
  System.String To be added.

  You can set the property to null.

  Gets the error message for the validation.

- Property
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.String> To be added.

  The collection can be empty, but it will never be null.

  Gets the collection of member names that indicate which fields have validation errors.

- Field
  4.0.0.0
  System.ComponentModel.DataAnnotations.ValidationResult To be added.

  Represents the success of the validation (true if validation was successful; otherwise, false).

- Method
  4.0.0.0
  System.String To be added.

  Returns a string representation of the current validation result.

  The current validation result.